com.holonplatform.vaadin.flow.components.builders

## Interface HasPrefixAndSuffixConfigurator<C extends HasPrefixAndSuffixConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, PasswordInputBuilder, PasswordInputConfigurator<C>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder

      public interface HasPrefixAndSuffixConfigurator<C extends HasPrefixAndSuffixConfigurator<C>>

  Configurator for `HasPrefixAndSuffix` type components.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `prefixComponent(com.vaadin.flow.component.Component component)` Adds the given component into this field before the content, replacing any existing prefix component.
    `C` | `suffixComponent(com.vaadin.flow.component.Component component)` Adds the given component into this field after the content, replacing any existing suffix component.

- - ### Method Detail

    - #### prefixComponent

          C prefixComponent(com.vaadin.flow.component.Component component)

      Adds the given component into this field before the content, replacing any existing prefix component.
      Parameters:
        `component` - the component to set, can be `null` to remove existing prefix component
      Returns:
        this

    - #### suffixComponent

          C suffixComponent(com.vaadin.flow.component.Component component)

      Adds the given component into this field after the content, replacing any existing suffix component.
      Parameters:
        `component` - the component to set, can be `null` to remove existing suffix component
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.